Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.util
Class VersioningXMLStreamReader

    java.lang.Object
      javax.xml.stream.util.StreamReaderDelegate
          com.bea.p13n.util.VersioningXMLStreamReader

All Implemented Interfaces
  javax.xml.stream.XMLStreamConstants, javax.xml.stream.XMLStreamReader

    public class VersioningXMLStreamReader

extends javax.xml.stream.util.StreamReaderDelegate

This class can be used to transform namespaces for processing older versions of an XML schema. This class assumes that the changes made between versions of the schema are compatible.

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`VersioningXMLStreamReader(javax.xml.stream.XMLStreamReader source, Map<String,String> versionMap)` Construct an instance with a source, and a version map.

Method Summary
`QName` | `getAttributeName(int index)`
`String` | `getAttributeNamespace(int index)`
`String` | `getAttributeValue(String namespaceUri, String localName)`
`QName` | `getName()`
`NamespaceContext` | `getNamespaceContext()`
`String` | `getNamespaceURI()`
`String` | `getNamespaceURI(int index)`
`String` | `getNamespaceURI(String prefix)`

Methods inherited from class javax.xml.stream.util.StreamReaderDelegate
`close, getAttributeCount, getAttributeLocalName, getAttributePrefix, getAttributeType, getAttributeValue, getCharacterEncodingScheme, getElementText, getEncoding, getEventType, getLocalName, getLocation, getNamespaceCount, getNamespacePrefix, getParent, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, setParent, standaloneSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersioningXMLStreamReader

    public VersioningXMLStreamReader(javax.xml.stream.XMLStreamReader source,
                                     Map<String,String> versionMap)

  Construct an instance with a source, and a version map.

  Parameters
    `source` - This is a reader constructed over a XML input stream
    `versionMap` - A map containing namespace URIs of previous versions and the current version

Method Detail

### getAttributeName

    public QName getAttributeName(int index)

  Specified by:
    `getAttributeName` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getAttributeName` in class `javax.xml.stream.util.StreamReaderDelegate`

### getAttributeNamespace

    public String getAttributeNamespace(int index)

  Specified by:
    `getAttributeNamespace` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getAttributeNamespace` in class `javax.xml.stream.util.StreamReaderDelegate`

### getAttributeValue

    public String getAttributeValue(String namespaceUri,
                                    String localName)

  Specified by:
    `getAttributeValue` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getAttributeValue` in class `javax.xml.stream.util.StreamReaderDelegate`

### getName

    public QName getName()

  Specified by:
    `getName` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getName` in class `javax.xml.stream.util.StreamReaderDelegate`

### getNamespaceURI

    public String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getNamespaceURI` in class `javax.xml.stream.util.StreamReaderDelegate`

### getNamespaceURI

    public String getNamespaceURI(int index)

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getNamespaceURI` in class `javax.xml.stream.util.StreamReaderDelegate`

### getNamespaceURI

    public String getNamespaceURI(String prefix)

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getNamespaceURI` in class `javax.xml.stream.util.StreamReaderDelegate`

### getNamespaceContext

    public NamespaceContext getNamespaceContext()

  Specified by:
    `getNamespaceContext` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getNamespaceContext` in class `javax.xml.stream.util.StreamReaderDelegate`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.